System.ServiceModel 4.0.0.0 System.Object

Implementations of filters for messages transmitted over a peer channel must be derived from this class.

Defines the base class for peer channel message filters.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.PeerMessagePropagation `` `` To be added.

  Returns whether or not a message received on a peer channel should be propagated, and if so, the destination of the message.

  A enumeration value that indicates the destination of the message (local, remote, both, or no propagation at all).

  The message to evaluate for propagation. A enumeration value that specifies the origin (local or remote) of the message under evaluation.